#language: ru

@SalesOfProducts

Функционал: 002. SalesOfProducts. Дозаполнение данных для номенклатуры

Сценарий: 002.1. SalesOfProducts. Заполнение единиц измерения

	Дано Я подключаюсь под "Ведение номенклатуры"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.002. Реализация товаров"
	И Я заполняю константы Единицы измерения

Сценарий: 002.2. SalesOfProducts. Создание упаковок

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда я жду открытия окна 'Классификаторы номенклатуры' в течение 20 секунд
	Когда я нажимаю на кнопку 'Наборы упаковок'
	Тогда я жду открытия окна 'Наборы упаковок' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'Набор упаковок для сыров' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Набор упаковок для сыров (Набор упаковок)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Упаковки'
	* Создание упаковки для Ашана
		И Я начинаю создавать упаковку
		И я нажимаю кнопку выбора у поля "Единица по классификатору"
		Тогда открылось окно 'Выберите единицу измерения'
		И я нажимаю на кнопку 'Подобрать из классификатора'
		Тогда открылось окно 'Классификатор единиц измерения'
		И в таблице "ДеревоКлассификатора" я перехожу к строке:
			| 'Наименование' |
			| 'Упаковка'     |
		И в таблице "ДеревоКлассификатора" я изменяю флаг 'Выбран'
		И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
		И я нажимаю на кнопку 'ОК'
		Тогда открылось окно 'Выберите единицу измерения'
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Упаковки и единицы измерения (создание) *'
		И Я заканчиваю создавать упаковку "упак (5 кг) (Ашан)" с числителем "5,125" и весом брутто "5,125"
	* Создание упаковки для 5ки
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (2.5 кг) 5ка" с числителем "2,512" и весом брутто "2,512"
	* Создание упаковки для Перекрестка
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (1.5 кг) Перекресток" с числителем "1,512" и весом брутто "2,123"
	* Создание упаковки для Немаркированной продукции в 1 кг
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (1 кг)" с числителем "1,123" и весом брутто "1,123"
	* Создание упаковки для Немаркированной продукции в 0.5 кг
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (0.5 кг)" с числителем "0,512" и весом брутто "1,123"
	И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
	И Я закрываю окно 'Набор упаковок для сыров (Набор упаковок)'
	И я жду закрытия окна 'Набор упаковок (создание) *' в течение 20 секунд
	Тогда открылось окно 'Наборы упаковок'
	И Я закрываю окно 'Наборы упаковок'
	Тогда открылось окно 'Классификаторы номенклатуры'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: 002.3. SalesOfProducts. Создание серий номенклатуры

	Дано я удаляю объекты "Справочники.к2СерииНоменклатуры" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда я жду открытия окна 'Номенклатура' в течение 20 секунд
	* Создание серии для сыра Адыгейского
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'   |
			| 'Сыр Адыгейский' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сыр Адыгейский (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '27.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000002'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '28.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Адыгейский (Номенклатура)'
		И Я закрываю окно 'Сыр Адыгейский (Номенклатура)'
		Тогда открылось окно 'Номенклатура'
	* Создание серии для сыра Пошехонского
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'    |
			| 'Сыр Пошехонский' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сыр Пошехонский (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '27.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Пошехонский (Номенклатура)'
		И Я закрываю окно 'Сыр Пошехонский (Номенклатура)'
		Тогда открылось окно 'Номенклатура'
	* Создание серии для сыра Костромского
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'    |
			| 'Сыр Костромской' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сыр Костромской (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '27.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Костромской (Номенклатура)'
		И Я закрываю окно 'Сыр Костромской (Номенклатура)'
		Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: 002.4. SalesOfProducts. Установка упаковок для номенклатур

	Дано я удаляю все элементы таблицы "РегистрСведений.к2УпаковкиХарактеристик"
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда я жду открытия окна 'Классификаторы номенклатуры' в течение 20 секунд
	Когда я нажимаю на кнопку 'Упаковки характеристик'
	Тогда я жду открытия окна 'Упаковки характеристик' в течение 20 секунд
	И Я фиксирую упаковку "упак (5 кг) (Ашан)" для номенклатуры "Сыр Адыгейский" с характеристикой "Ашан"
	И Я фиксирую упаковку "упак (2.5 кг) 5ка" для номенклатуры "Сыр Адыгейский" с характеристикой "5ка"
	И Я фиксирую упаковку "упак (1.5 кг) Перекресток" для номенклатуры "Сыр Адыгейский" с характеристикой "Перекресток"
	И Я фиксирую упаковку "упак (5 кг) (Ашан)" для номенклатуры "Сыр Пошехонский" с характеристикой "Ашан"
	И Я фиксирую упаковку "упак (2.5 кг) 5ка" для номенклатуры "Сыр Пошехонский" с характеристикой "5ка"
	И Я фиксирую упаковку "упак (1.5 кг) Перекресток" для номенклатуры "Сыр Пошехонский" с характеристикой "Перекресток"
	И Я фиксирую упаковку "упак (5 кг) (Ашан)" для номенклатуры "Сыр Костромской" с характеристикой "Ашан"
	И Я фиксирую упаковку "упак (2.5 кг) 5ка" для номенклатуры "Сыр Костромской" с характеристикой "5ка"
	И Я фиксирую упаковку "упак (1.5 кг) Перекресток" для номенклатуры "Сыр Костромской" с характеристикой "Перекресток"
	И Я закрываю окно 'Упаковки характеристик'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: 002.5. SalesOfProducts. Создание сертификата номенклатуры

	Дано я удаляю объекты "Справочники.к2СертификатыНоменклатуры" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2ОбластиДействияСертификатовНоменклатуры"
	Когда В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда я жду открытия окна 'Настройки исполнения заказов' в течение 20 секунд
	Когда я нажимаю на кнопку 'Сертификаты номенклатуры'
	Тогда я жду открытия окна 'Сертификаты номенклатуры' в течение 20 секунд
	* Создание группы сертификатов
		И я нажимаю на кнопку с именем 'СписокСоздатьГруппу'
		Тогда открылось окно 'Сертификаты номенклатуры (создание группы)'
		И в поле 'Наименование' я ввожу текст 'Сертификаты соответствия'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Сертификаты номенклатуры (создание группы) *' в течение 20 секунд
		Тогда открылось окно 'Сертификаты номенклатуры'
	* Создание сертификата номенклатуры - сертификат соответствия
		И я нажимаю на кнопку с именем 'СписокСоздать'
		Тогда открылось окно 'Сертификат номенклатуры (создание)'
		И из выпадающего списка "Тип сертификата" я выбираю точное значение 'Декларация о соответствии'
		И из выпадающего списка "Тип сертификата" я выбираю точное значение 'Пожарный сертификат'
		И из выпадающего списка "Тип сертификата" я выбираю точное значение 'Гигиенический сертификат'
		И из выпадающего списка "Тип сертификата" я выбираю точное значение 'Сертификат соответствия'
		И из выпадающего списка "Статус" я выбираю точное значение 'Недействующий'
		И из выпадающего списка "Статус" я выбираю точное значение 'Действующий'
		И в поле 'Номер' я ввожу текст '000000001'
		И в поле 'Действует с' я ввожу текст '14.01.2020'
		И в поле 'по' я ввожу текст '14.01.2031'
		И я устанавливаю флаг 'Бессрочный'
		И в поле 'Выдан' я ввожу текст 'Орган выдавший сертификат'
		И я нажимаю кнопку выбора у поля "Группа сертификатов"
		Тогда открылось окно 'Сертификаты номенклатуры'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'             |
			| 'Сертификаты соответствия' |
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Сертификат номенклатуры (создание) *'
		И из выпадающего списка "Представление" я выбираю точное значение 'Сертификат соответствия №000000001 от 14.01.2020'
		И из выпадающего списка с именем "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
		И из выпадающего списка с именем "Характеристика" я выбираю по строке '<Без маркировки>'
		И я нажимаю кнопку выбора у поля "Серия"
		И я жду открытия окна 'Серии номенклатуры' в течение 20 секунд
		И я активизирую окно "Серии номенклатуры" 
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '14.01.2020'
		И в поле 'Годен до' я ввожу текст '14.03.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		И я жду открытия окна 'Серии номенклатуры' в течение 20 секунд
		И я активизирую окно "Серии номенклатуры"
		И я нажимаю на кнопку 'Выбрать'
		Тогда открылось окно 'Сертификат номенклатуры (создание) *'
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'вид номенклатуры'
		И элемент формы "Вид номенклатуры" стал равен "Мягкие сыры"
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'список товаров'
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'   | 'Серия'            			 | 'Характеристика'   |
			| 'Мягкие сыры'      | 'Сыр Адыгейский' | '000001 до 14.03.2020 0:00:00' | '<Без маркировки>' |
		И в таблице "ОбластьДействия" я нажимаю на кнопку с именем 'ОбластьДействияДобавить'
		И в таблице "ОбластьДействия" из выпадающего списка с именем "ОбластьДействияВидНоменклатуры" я выбираю по строке 'Твердые сыры'
		И в таблице "ОбластьДействия" из выпадающего списка с именем "ОбластьДействияНоменклатура" я выбираю по строке 'Сыр Костромской'
		И в таблице "ОбластьДействия" я нажимаю кнопку выбора у реквизита с именем "ОбластьДействияХарактеристика"
		Тогда открылось окно 'Характеристики номенклатуры'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'     |
			| '<Без маркировки>' |
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Сертификат номенклатуры (создание) *'
		И я нажимаю на кнопку открытия поля с именем "ОбластьДействияХарактеристика"
		Тогда открылось окно '<Без маркировки> (Характеристики номенклатуры)'
		И элемент формы "Вид номенклатуры" стал равен "Твердые сыры"
		И Я закрываю окно '<Без маркировки> (Характеристики номенклатуры)'
		Тогда открылось окно 'Сертификат номенклатуры (создание) *'
		И в таблице "ОбластьДействия" я завершаю редактирование строки
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'    | 'Серия'            | 'Характеристика'    |
			| 'Твердые сыры'     | 'Сыр Костромской' | '<для всех серий>' | '<Без маркировки>' |
		И в таблице "ОбластьДействия" я нажимаю кнопку выбора у реквизита с именем "ОбластьДействияСерия"
		И я жду открытия окна 'Серии номенклатуры' в течение 20 секунд
		И я активизирую окно "Серии номенклатуры"
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '13.01.2020'
		И в поле 'Годен до' я ввожу текст '13.03.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		И я жду открытия окна 'Серии номенклатуры' в течение 20 секунд
		И я активизирую окно "Серии номенклатуры"
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Сертификат номенклатуры (создание) *'
		И в таблице "ОбластьДействия" я завершаю редактирование строки
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'    | 'Серия'            			  | 'Характеристика'   |
			| 'Твердые сыры'     | 'Сыр Костромской' | '000001 до 13.03.2020 0:00:00' | '<Без маркировки>' |
		И в таблице "ОбластьДействия" я нажимаю на кнопку 'Добавить товары по отбору'
		Тогда открылось окно 'Подбор товаров по отбору: Форма'
		И в таблице "КомпоновщикНастроекНастройкиОтбор" я перехожу к строке:
			| 'Вид сравнения' | 'Использование' | 'Поле'         | 'Применение' | 'Режим отображения' |
			| 'Содержит'      | 'Нет'           | 'Наименование' | 'Обычное'    | 'Быстрый доступ'    |
		И в таблице "КомпоновщикНастроекНастройкиОтбор" я устанавливаю флаг 'Использование'
		И в таблице "КомпоновщикНастроекНастройкиОтбор" в поле 'Значение' я ввожу текст 'Сыр'
		И в таблице "КомпоновщикНастроекНастройкиОтбор" я завершаю редактирование строки
		И в таблице "КомпоновщикНастроекНастройкиОтбор" я перехожу к строке:
			| 'Вид сравнения' | 'Использование' | 'Поле'             | 'Применение' | 'Режим отображения' |
			| 'Равно'         | 'Нет'           | 'Вид номенклатуры' | 'Обычное'    | 'Быстрый доступ'    |
		И в таблице "КомпоновщикНастроекНастройкиОтбор" я устанавливаю флаг 'Использование'
		И в таблице "КомпоновщикНастроекНастройкиОтбор" из выпадающего списка "Значение" я выбираю по строке 'Полутвердые сыры'
		И в таблице "КомпоновщикНастроекНастройкиОтбор" я завершаю редактирование строки
		И я нажимаю на кнопку 'Заполнить'
		И в таблице "Номенклатура" я перехожу к строке:
			| 'Номенклатура'    |
			| 'Сыр Пошехонский' |
		И я нажимаю на кнопку 'Перенести в документ'
		Тогда открылось окно 'Сертификат номенклатуры (создание) *'
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'   | 'Серия'            			 | 'Характеристика'   |
			| 'Мягкие сыры'      | 'Сыр Адыгейский' | '000001 до 14.03.2020 0:00:00' | '<Без маркировки>' |
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'    | 'Серия'            			  | 'Характеристика'   |
			| 'Твердые сыры'     | 'Сыр Костромской' | '000001 до 13.03.2020 0:00:00' | '<Без маркировки>' |
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'    | 'Серия'            | 'Характеристика'           |
			| 'Полутвердые сыры' | 'Сыр Пошехонский' | '<для всех серий>' | '<для всех характеристик>' |
		И в таблице "ОбластьДействия" из выпадающего списка с именем "ОбластьДействияХарактеристика" я выбираю по строке '<Без маркировки>'
		И в таблице "ОбластьДействия" я завершаю редактирование строки
		И в таблице "ОбластьДействия" я выбираю текущую строку
		И я нажимаю на кнопку открытия поля с именем "ОбластьДействияХарактеристика"
		Тогда открылось окно '<Без маркировки> (Характеристики номенклатуры)'
		И элемент формы "Вид номенклатуры" стал равен "Полутвердые сыры"
		И Я закрываю окно '<Без маркировки> (Характеристики номенклатуры)'
		Тогда открылось окно 'Сертификат номенклатуры (создание) *'
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' 	 | 'Номенклатура'    | 'Серия'            | 'Характеристика'    |
			| 'Полутвердые сыры'     | 'Сыр Пошехонский' | '<для всех серий>' | '<Без маркировки>' |
		И в таблице "ОбластьДействия" я нажимаю кнопку выбора у реквизита с именем "ОбластьДействияСерия"
		И я жду открытия окна 'Серии номенклатуры' в течение 20 секунд
		И я активизирую окно "Серии номенклатуры"
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '12.01.2020'
		И в поле 'Годен до' я ввожу текст '12.03.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		И я жду открытия окна 'Серии номенклатуры' в течение 20 секунд
		И я активизирую окно "Серии номенклатуры"
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Сертификат номенклатуры (создание) *'
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'    | 'Серия'            			  | 'Характеристика'   |
			| 'Полутвердые сыры' | 'Сыр Пошехонский' | '000001 до 12.03.2020 0:00:00' | '<Без маркировки>' |
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'вид номенклатуры'
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Нет'
		Тогда открылось окно 'Сертификат номенклатуры (создание) *'
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'    | 'Серия'            			  | 'Характеристика'   |
			| 'Твердые сыры'     | 'Сыр Костромской' | '000001 до 13.03.2020 0:00:00' | '<Без маркировки>' |
		И в таблице 'ОбластьДействия' я удаляю строку
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'   | 'Серия'            			 | 'Характеристика'   |
			| 'Мягкие сыры'      | 'Сыр Адыгейский' | '000001 до 14.03.2020 0:00:00' | '<Без маркировки>' |
		И в таблице 'ОбластьДействия' я удаляю строку
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'конкретный товар'
		И элемент формы "Номенклатура" стал равен "Сыр Пошехонский"
		И элемент формы "Характеристика" стал равен "<Без маркировки>"
		И элемент формы "Серия" стал равен "000001 до 12.03.2020 0:00:00"
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'вид номенклатуры'
		И элемент формы "Вид номенклатуры" стал равен "Полутвердые сыры"
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'список товаров'
		И в таблице "ОбластьДействия" я нажимаю на кнопку 'Скопировать область действия'
		И в таблице "ОбластьДействия" я выбираю текущую строку
		И в таблице "ОбластьДействия" поле "Вид номенклатуры" имеет значение "Полутвердые сыры"
		И в таблице "ОбластьДействия" поле "Номенклатура" имеет значение "Сыр Пошехонский"
		И в таблице "ОбластьДействия" поле "Характеристика" имеет значение "<Без маркировки>"
		И в таблице "ОбластьДействия" поле "Серия" имеет значение "000001 до 12.03.2020 0:00:00"
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'конкретный товар'
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Да'
		Тогда открылось окно 'Сертификат номенклатуры (создание) *'
		И элемент формы "Номенклатура" стал равен "Сыр Пошехонский"
		И элемент формы "Характеристика" стал равен "<Без маркировки>"
		И элемент формы "Серия" стал равен "000001 до 12.03.2020 0:00:00"
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'вид номенклатуры'
		И элемент формы "Вид номенклатуры" стал равен "Полутвердые сыры"
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'список товаров'
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'    | 'Серия'            			  | 'Характеристика'   |
			| 'Полутвердые сыры' | 'Сыр Пошехонский' | '000001 до 12.03.2020 0:00:00' | '<Без маркировки>' |
		И в таблице 'ОбластьДействия' я удаляю строку
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'конкретный товар'
		И элемент формы "Номенклатура" стал равен ""
		И элемент формы "Характеристика" стал равен ""
		И элемент формы "Серия" стал равен ""
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'вид номенклатуры'
		И элемент формы "Вид номенклатуры" стал равен ""
		И из выпадающего списка с именем "ВидНоменклатуры" я выбираю по строке 'Мягкие сыры'
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'конкретный товар'
		И элемент формы "Номенклатура" стал равен ""
		И элемент формы "Характеристика" стал равен ""
		И элемент формы "Серия" стал равен ""
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'список товаров'
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'            | 'Серия'            | 'Характеристика'           |
			| 'Мягкие сыры'      | '<для всей номенклатуры>' | '<для всех серий>' | '<для всех характеристик>' |
		И в таблице 'ОбластьДействия' я удаляю строку
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'конкретный товар'
		И из выпадающего списка с именем "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'вид номенклатуры'
		И элемент формы "Вид номенклатуры" стал равен "Мягкие сыры"
		И я меняю значение переключателя 'ВариантОбластиДействия' на 'список товаров'
		И в таблице "ОбластьДействия" я перехожу к строке:
			| 'Вид номенклатуры' | 'Номенклатура'   | 'Серия'            | 'Характеристика'           |
			| 'Мягкие сыры'      | 'Сыр Адыгейский' | '<для всех серий>' | '<для всех характеристик>' |
		И я нажимаю на кнопку 'Записать'
		Тогда открылось окно 'Сертификат соответствия №000000001 от * (Сертификат номенклатуры)'
		И я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь' в переменную "КаталогТеста"
		И я буду выбирать внешний файл "$КаталогТеста$""\Адыгейский.jpg"
		И я нажимаю на кнопку 'Добавить изображение'
		И я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь' в переменную "КаталогТеста"
		И я буду выбирать внешний файл "$КаталогТеста$""\Костромской.jpg"
		И я нажимаю на кнопку 'Добавить изображение'
		И я нажимаю на кнопку 'Предыдущее изображение'
		И я нажимаю на кнопку 'Следующие изображение'
		И я нажимаю на кнопку 'Записать'
		Тогда открылось окно 'Сертификат соответствия №000000001 от * (Сертификат номенклатуры)'
		И я нажимаю на кнопку 'Изображения сертификатов'
		Тогда открылось окно 'Печать документа'
		И Я закрываю окно 'Печать документа'
		Тогда открылось окно 'Сертификат соответствия №000000001 от * (Сертификат номенклатуры)'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Сертификат соответствия №000000001 от * (Сертификат номенклатуры)' в течение 20 секунд
		Тогда открылось окно 'Сертификаты номенклатуры'
		И я нажимаю на кнопку 'Иерархия'
		И я нажимаю на кнопку 'Иерархия'
		И из выпадающего списка "ВидНоменклатурыОтбор" я выбираю по строке 'Мягкие сыры'
		И из выпадающего списка "НоменклатураОтбор" я выбираю по строке 'Сыр Адыгейский'
		И из выпадающего списка "ТипСертификатаОтбор" я выбираю по строке 'Сертификат соответствия'
		И я изменяю флаг 'Только действующие на дату'
		И в поле 'ДатаОтбор' я ввожу текст '15.01.2020'
		И я нажимаю на кнопку 'Показать изображение'
		Тогда открылось окно 'Выбор присоединенного файла'
		И Я закрываю окно 'Выбор присоединенного файла'
		Тогда открылось окно 'Сертификаты номенклатуры'
	* Создание сертификата номенклатуры - декларация о соответствии
		И я нажимаю на кнопку с именем 'СписокСоздать'
		Тогда открылось окно 'Сертификат номенклатуры (создание)'
		И из выпадающего списка "Тип сертификата" я выбираю точное значение 'Декларация о соответствии'
		И из выпадающего списка "Статус" я выбираю точное значение 'Действующий'
		И в поле 'Номер' я ввожу текст '000000001'
		И в поле 'Действует с' я ввожу текст '14.01.2020'
		И в поле 'по' я ввожу текст '14.01.2031'
		И в поле 'Выдан' я ввожу текст 'Орган выдавший сертификат'
		И из выпадающего списка "Представление" я выбираю точное значение 'Декларация о соответствии №000000001 от 14.01.2020 по 14.01.2031'
		И из выпадающего списка с именем "Номенклатура" я выбираю по строке 'Сыр Пошехонский'
		И из выпадающего списка с именем "Характеристика" я выбираю по строке '<Без маркировки>'
		И из выпадающего списка с именем "Серия" я выбираю по строке '000001 до 12.03.2020 0:00:00'
		И я нажимаю на кнопку 'Записать'
		Тогда открылось окно 'Декларация о соответствии №000000001 от 14.01.2020 по 14.01.2031 (Сертификат номенклатуры)'
		И я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь' в переменную "КаталогТеста"
		И я буду выбирать внешний файл "$КаталогТеста$""\Пошехонский.jpg"
		И я нажимаю на кнопку 'Добавить изображение'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Декларация о соответствии №000000001 от 14.01.2020 по 14.01.2031 * (Сертификат номенклатуры)' в течение 20 секунд
		Тогда открылось окно 'Сертификаты номенклатуры'
	И Я закрываю окно 'Сертификаты номенклатуры'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 002.6. SalesOfProducts. Создание и проверка отчета по сертификатам
	
	Когда В командном интерфейсе я выбираю 'Заказы' 'Отчеты'
	Тогда я жду открытия окна 'Отчеты по исполнению заказов' в течение 20 секунд
	И я нажимаю на гиперссылку "Товары с истекающими сертификатами"
	Тогда открылось окно 'Товары с истекающими сертификатами'
	И я снимаю флаг "Сертификаты, недействительные на дату:"
	И я снимаю флаг "Скрывать сертификаты, дата окончания срока действия которых меньше:"
	И из выпадающего списка "Группировка номенклатуры" я выбираю точное значение 'По иерархии'
	И я снимаю флаг "Тип сертификата:"
	И я снимаю флаг "Номенклатура:"
	И я снимаю флаг "Детальные записи"
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R8C1" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет по сертификатам(группировка по иерархии)"
	И из выпадающего списка "Группировка номенклатуры" я выбираю точное значение 'По виду номенклатуры'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R8C1" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет по сертификатам(группировка по виду номенклатуры)"
	И я устанавливаю флаг "Детальные записи"
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R9C1" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет по сертификатам(детальные записи)"
	И я устанавливаю флаг "Тип сертификата:"
	И я нажимаю кнопку выбора у поля "Тип сертификата"
	Тогда открылось окно 'Тип сертификата'
	И в таблице "Список" я перехожу к строке:
		| 'Значение'                |
		| 'Сертификат соответствия' |
	И в таблице "Список" я снимаю флаг 'Пометка'
	И в таблице "Список" я завершаю редактирование строки
	И в таблице "Список" я перехожу к строке:
		| 'Значение'                  |
		| 'Декларация о соответствии' |
	И в таблице "Список" я устанавливаю флаг 'Пометка'
	И в таблице "Список" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Товары с истекающими сертификатами'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R10C1" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет по сертификатам(тип - декларация о соответствии)"
	И я нажимаю кнопку выбора у поля "Тип сертификата"
	Тогда открылось окно 'Тип сертификата'
	И в таблице "Список" я перехожу к строке:
		| 'Значение'                  |
		| 'Декларация о соответствии' |
	И в таблице "Список" я снимаю флаг 'Пометка'
	И в таблице "Список" я завершаю редактирование строки
	И в таблице "Список" я перехожу к строке:
		| 'Значение'                  |
		| 'Сертификат соответствия' |
	И в таблице "Список" я устанавливаю флаг 'Пометка'
	И в таблице "Список" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Товары с истекающими сертификатами'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R10C1" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет по сертификатам(тип - сертификат соответствия)"
	И я снимаю флаг "Тип сертификата:"
	И я устанавливаю флаг "Номенклатура:"
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И я нажимаю на кнопку с именем 'СписокПодбор'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Адыгейский'  |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Костромской' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Пошехонский' |
	И в таблице "Список" я выбираю текущую строку
	И Я закрываю окно 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Товары с истекающими сертификатами'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R10C1" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет по сертификатам(по всей номенклатуре)"
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Значение'        |
		| 'Сыр Адыгейский'  |
	И в таблице "Список" я устанавливаю флаг 'Пометка'
	И в таблице "Список" я завершаю редактирование строки
	И в таблице "Список" я перехожу к строке:
		| 'Значение'        |
		| 'Сыр Пошехонский' |
	И в таблице "Список" я снимаю флаг 'Пометка'
	И в таблице "Список" я завершаю редактирование строки
	И в таблице "Список" я перехожу к строке:
		| 'Значение'        |
		| 'Сыр Костромской' |
	И в таблице "Список" я снимаю флаг 'Пометка'
	И в таблице "Список" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Товары с истекающими сертификатами'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R10C1" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет по сертификатам(по номенклатуре сыр адыгейский)"
	И я снимаю флаг "Номенклатура:"
	И я устанавливаю флаг "Сертификаты, недействительные на дату:"
	И в поле 'Сертификаты, недействительные на дату' я ввожу текст '15.01.2031'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R10C1" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет по сертификатам(недействительный на дату)"
	И я снимаю флаг "Сертификаты, недействительные на дату:"
	И я устанавливаю флаг "Скрывать сертификаты, дата окончания срока действия которых меньше:"
	И в поле 'Скрывать сертификаты, дата окончания срока действия которых меньше' я ввожу текст '15.01.2031'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R10C1" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Отчет по сертификатам(скрывать сертификаты дата окончания срока действия которых меньше)"
	И я снимаю флаг "Скрывать сертификаты, дата окончания срока действия которых меньше:"
	И Я закрываю окно 'Товары с истекающими сертификатами'
	Тогда открылось окно 'Отчеты по исполнению заказов'
	И Я закрываю окно 'Отчеты по исполнению заказов'

Сценарий: 002.7. SalesOfProducts. Завершение

	И я закрываю сеанс TESTCLIENT